Bug 115497 - Impress - 3D (and some others) transition are not working
Summary: Impress - 3D (and some others) transition are not working
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: x86-64 (AMD64) macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Slide-Transitions
  Show dependency treegraph
 
Reported: 2018-02-06 19:25 UTC by Daniele
Modified: 2022-05-23 03:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele 2018-02-06 19:25:13 UTC
Description:
either if opening a .pptx or .odp file or creating a new one.

Actual Results:  
simply the effect applied is not reproduced

Expected Results:
should reproduce the effect when put in presentation mode


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
open gl enabled along with open cl (otherwise libra crash continuously without the possibility of using any application). Current software version Mac Osx High Sierra 10.13.3


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_3) AppleWebKit/604.5.6 (KHTML, like Gecko) Version/11.0.3 Safari/604.5.6
Comment 1 Alex Thurgood 2018-02-12 12:06:20 UTC
@Daniele : try turning off both OpenCL and OpenGL
Comment 2 Alex Thurgood 2018-02-12 12:22:08 UTC
OK, so I can confirm this with my LO master build
Comment 3 Daniele 2018-03-13 19:16:35 UTC
Sorry for the delay. With OpenGL on LO crush at start. without the problem is still there. I am wondering if this depends on OpenGL and the fact that apparently Apple stopped supporting it. I have tried new presentation in Impress LO 6.0.2.1 on Ubuntu 16.04 and it is not working either.
Comment 4 Daniele 2018-03-24 13:15:52 UTC
Sorry for the delay. I had the chance to ran some tests with both LO 6.0.2 and 5.4.5

Windows machine - Lenovo G50 i5 4th gen 6gb ram with AMD Radeon 2 GB - all transitions work perfectly (even the 3d that don't work at all on my MacBook). Moreover, the ones that work on the MacBook as well are largish while on the old Lenovo are extremely smooth. 

Various Linux distros (Ubuntu 16.04 LTS, Ubuntu Mate 16.04, Zorin Os 12 and CentOs) installed on my MacBook through parallels have the same exact problem of LO installed on MacOSx though on Linux it generally runs better. 

In conclusion, I assume that is the limitation of the drivers that can be installed on the Mac or something else (I am not a computer expert) that prevent LO to work flawlessly as it does on my old Windows machine. 

I am not expecting anyone to do something in particular for Mac users though something should be done if the document foundation wants to keep releasing the software on MacOsx. I haven't tried LO Vanilla, therefore I don't know if it works better.
Comment 5 Daniele 2019-04-11 22:45:27 UTC
I have tried the collabora demo and the problem remains. I think is due to the fact that Apple does not support Open GL anymore, while LO develops with it. I have also purchased NeoOffice (which should combine OO and LO and it is specifically developed for MacOSx) and the developer resolved the issue by removing 3d transitions from the options, though it gives you more non-3D animation from which to choose. Don't know which sounds better, but at least in Neo you don't have the problem that if you select an animation, it crashes like in LO.
Comment 6 QA Administrators 2022-05-23 03:36:48 UTC
Dear Daniele,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug